Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Value to Ordinal - RG354260

Description

This block converts a value input to an ordinal output.

The conversion is performed using the following formula:

Output = Input * Base

If  Input is negative, the Output is zero.

Although Base may be connected to other function blocks in the system, a new Output is computed only when Input receives a message.

Base is persistent.

Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Base	Sets the base.  Expects an ordinal (0 to 65535).

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output: 0 to 65535.

Get Base	Returns the current base:  0 to 65535.


Description

This block converts a value input to an ordinal output.

The conversion is performed using the following formula:

Output = Input * Base

If  Input is negative, the Output is zero.

Although Base may be connected to other function blocks in the system, a new Output is computed only when Input receives a message.

Base is persistent.


Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Base	Sets the base.  Expects an ordinal (0 to 65535).

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output: 0 to 65535.

Get Base	Returns the current base:  0 to 65535.